Bug 64136 - [NEW PORT] devel/ice: The Internet Communications Engine is middleware library
Summary: [NEW PORT] devel/ice: The Internet Communications Engine is middleware library
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Tilman Keskinoz
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2004-03-12 03:10 UTC by Sergey Matveychuk
Modified: 2005-06-08 16:11 UTC (History)
0 users

See Also:


Attachments
ice-1.3.0.shar (23.24 KB, text/plain)
2004-03-12 03:10 UTC, Sergey Matveychuk
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Sergey Matveychuk 2004-03-12 03:10:18 UTC
Ice, the Internet Communications Engine, is middleware for the practical
programmer. A high-performance Internet communications platform,
Ice includes a wealth of layered services and plug-ins.
Ice means simplicity, speed, and power.

Read http://www.zeroc.com/iceVsCorba.html for comparing ICE and CORBA.

WWW: http://www.zeroc.com/ice.html

*** NEED TESTING ON 64-BIT PLATFIRMS ***

Generated with FreeBSD Port Tools 0.50
Comment 1 Tilman Keskinoz freebsd_committer 2004-03-12 09:09:55 UTC
Responsible Changed
From-To: freebsd-ports-bugs->arved

Grab this
Comment 2 Sergey Matveychuk 2004-03-12 15:10:31 UTC
Fix line:
MAKE_ENV=	LP64
with
MAKE_ENV=	LP64=yes

please.
-- 
Sem.
Comment 3 Stefan Ehmann 2004-05-24 11:32:27 UTC
This diff against the original submitted shar fixes following problems:

- (g)make test also works with -lpthread now. All tests pass now on i386
on a recent CURRENT (There is still an issue with some service on alpha
but that doesn't seem to be FreeBSD specific)

- files are now installed with correct permissions and ownerships


diff -ruN ice.bak/Makefile ice/Makefile
--- ice.bak/Makefile	Mon May 24 12:15:11 2004
+++ ice/Makefile	Mon May 24 12:14:38 2004
@@ -15,7 +15,7 @@
 COMMENT=	The Internet Communications Engine is middleware library
 
 LIB_DEPENDS=	db-4.2.2:${PORTSDIR}/databases/db42 \
-		expat.4:${PORTSDIR}/textproc/expat2
+		expat.5:${PORTSDIR}/textproc/expat2
 
 USE_OPENSSL=	yes
 USE_GMAKE=	yes
@@ -25,7 +25,7 @@
 .include <bsd.port.pre.mk>
 
 .if ${ARCH} != i386
-MAKE_ENV=	LP64
+MAKE_ENV=	LP64=yes
 .endif
 
 .if ${OSVERSION} < 501103
diff -ruN ice.bak/files/patch-config::Make.rules
ice/files/patch-config::Make.rules
--- ice.bak/files/patch-config::Make.rules	Thu Jan  1 01:00:00 1970
+++ ice/files/patch-config::Make.rules	Mon May 24 11:37:04 2004
@@ -0,0 +1,16 @@
+--- config/Make.rules.orig	Mon May 24 11:34:25 2004
++++ config/Make.rules	Mon May 24 11:34:50 2004
+@@ -131,10 +131,10 @@
+ install_schemadir	= $(prefix)/schema
+ install_docdir		= $(prefix)/doc
+ 
+-INSTALL			= cp -fp
++INSTALL			= install -g wheel -o root
+ INSTALL_PROGRAM		= ${INSTALL}
+-INSTALL_LIBRARY		= ${INSTALL}
+-INSTALL_DATA		= ${INSTALL}
++INSTALL_LIBRARY		= ${INSTALL} -m 444
++INSTALL_DATA		= ${INSTALL} -m 444
+ 
+ UNAME                   := $(shell uname)
+ 
diff -ruN ice.bak/files/patch-include::IceUtil::Mutex.h
ice/files/patch-include::IceUtil::Mutex.h
--- ice.bak/files/patch-include::IceUtil::Mutex.h	Thu Jan  1 01:00:00
1970
+++ ice/files/patch-include::IceUtil::Mutex.h	Sun May 23 23:56:34 2004
@@ -0,0 +1,11 @@
+--- include/IceUtil/Mutex.h.orig	Sun May 23 23:52:37 2004
++++ include/IceUtil/Mutex.h	Sun May 23 23:54:30 2004
+@@ -318,7 +318,7 @@
+ Mutex::tryLock() const
+ {
+     int rc = pthread_mutex_trylock(&_mutex);
+-    if(rc != 0 && rc != EBUSY)
++    if(rc != 0 && rc != EBUSY && rc != EDEADLK)
+     {
+ 	throw ThreadSyscallException(__FILE__, __LINE__, rc);
+     }
diff -ruN ice.bak/files/patch-include::IceUtil::StaticMutex.h
ice/files/patch-include::IceUtil::StaticMutex.h
--- ice.bak/files/patch-include::IceUtil::StaticMutex.h	Thu Jan  1
01:00:00 1970
+++ ice/files/patch-include::IceUtil::StaticMutex.h	Sun May 23 23:56:50
2004
@@ -0,0 +1,11 @@
+--- include/IceUtil/StaticMutex.h.orig	Sun May 23 23:52:42 2004
++++ include/IceUtil/StaticMutex.h	Sun May 23 23:54:36 2004
+@@ -276,7 +276,7 @@
+ StaticMutex::tryLock() const
+ {
+     int rc = pthread_mutex_trylock(&_mutex);
+-    if(rc != 0 && rc != EBUSY)
++    if(rc != 0 && rc != EBUSY && rc != EDEADLK)
+     {
+ 	throw ThreadSyscallException(__FILE__, __LINE__, rc);
+     }
Comment 4 Mark Linimon freebsd_committer freebsd_triage 2004-06-25 00:23:25 UTC
State Changed
From-To: open->feedback

Tilman, has there been any progress on this one?
Comment 5 Tilman Keskinoz freebsd_committer 2004-06-25 17:10:23 UTC
State Changed
From-To: feedback->analyzed

There are still problems with the testsuite on CURRENT amd64 

*** running tests in ./test/IcePack/simple 
starting icepack registry... ok 
starting server... ok 
starting client... ok 
testing checked cast... ok 
pinging server... ok 
shutting down server... ok 
shutting down icepack registry... ok 
starting icepack registry... ok 
starting icepack node... ok 
registering server with icepack... ok 
starting client... ok 
testing stringToProxy... ok 
testing checked cast... ok 
pinging server... ok 
testing reference with unknown identity... ok 
testing reference with unknown adapter... ok 
testing whether server is still reachable... ok 
./bin/icepackadmin: SslTransceiver.cpp:354: Ice::ConnectFailedException: 
connect failed: Connection refused 
unregister server with icepack... 
IcePackNode: Killed 
IcePackRegistry: Killed 
test in ./test/IcePack/simple failed with exit status 256 


IIRC Stefan said there will be a new version soon.
Comment 6 Florent Thoumie 2005-06-05 23:43:19 UTC
	Is there any progress for this PR ?

-- 
Florent Thoumie
flz@xbsd.org
Comment 7 Tilman Keskinoz freebsd_committer 2005-06-06 00:22:24 UTC
* Florent Thoumie [2005-06-06 00:50]:
> 
>  	Is there any progress for this PR ?

There is a new version out. 

I think Stefan has  some work in progress:
http://people.freebsd.org/~arved/stuff/ports/ice.shar

Flz: If you are interested in this PR feel free to grab it
and commit it :)
Comment 8 Sergey Matveychuk 2005-06-06 06:30:29 UTC
Florent Thoumie wrote:
> 	Is there any progress for this PR ?
> 

It's obsoleted really. IIRC, two new releases was issued.
I have no plan to support the port now. I've hoped arved could.

-- 
Sem.
Comment 9 Tilman Keskinoz freebsd_committer 2005-06-06 16:44:00 UTC
State Changed
From-To: analyzed->feedback

Ok, after talking to Stefan he promised to polish his WIP 
next week, so update state to feedback.
Comment 10 Tilman Keskinoz freebsd_committer 2005-06-08 16:11:24 UTC
State Changed
From-To: feedback->closed

Finally committed